Inicio / Alerta Temprana / Avisos Seguridad / Múltiples vulnerabilidades en Xen

Múltiples vulnerabilidades en Xen

Fecha de publicación: 
11/03/2022
Importancia: 
4 - Alta
Recursos afectados: 

Varios frontends de dispositivos Linux PV:

  • blkfront,
  • netfront,
  • scsifront,
  • usbfront,
  • dmabuf,
  • xenbus,
  • 9p,
  • kbdfront,
  • pvcalls,
  • driver gntalloc.
Descripción: 

Demi Marie Obenour y Simon Gaiser, de Invisible Things Lab, han reportado múltiples vulnerabilidades presentes en algunos frontends de dispositivos Linux PV, debidas a que estos no eliminan adecuadamente los derechos de acceso de los backends, lo que podría permitir a un atacante la fuga de datos, la corrupción de datos o la denegación de servicio.

Detalle: 
  • el backend puede mantener acceso a la página de memoria del invitado sin importar cómo se utilizará la página después de que la interacción con el frontend haya terminado. Se han asignado los identificadores: blkfront: CVE-2022-23036; netfront: CVE-2022-23037; scsifront: CVE-2022-23038; gntalloc: CVE-2022-23039; y xenbus: CVE-2022-23040 para estas vulnerabilidades.
  • el backend puede mantener el acceso a la página de memoria incluso después de que haya sido liberada y reutilizada para un propósito diferente. Se ha asignado el identificador CVE-2022-23041 para esta vulnerabilidad.
  • netfront fallará una aserción BUG_ON() si no consigue revocar el acceso en la ruta rx. Esto dará lugar a una situación de denegación de servicio (DoS) del huésped que puede ser desencadenada por el backend. Se ha asignado el identificador CVE-2022-23042 para esta vulnerabilidad.

Encuesta valoración